Subject: bug#8978: No complete guide to article marks / gnus-summary-line-format underdocumented

From: Dave Abrahams <[email-masked]>
Date: Sun, 03 Jul 2011 16:30:16 -0400

on Sun Jul 03 2011, Lars Magne Ingebrigtsen <larsi-AT-gnus.org> wrote:

> Dave Abrahams <[email-masked]> writes:
>
>> The docs for gnus-summary-line-format mention that "%U" produces "R",
>> "K", "-", or " ".  However, they fail to mention "r", for example.  The
>> first clue I could find about that mark was in "9.18.4 Spam and Ham
>> Processors" of all places, where it drops the hint that "r" means
>> "explicit delete" (!).  Users *really* need a little table that gives a
>> complete guide to the built-in marks, so that when they look at the
>> summary buffer, they know what it means.
>
> I've now made the doc string for that variable link to
> "(gnus)Read Articles", which lists all the marks, I think.

Not a complete list.  The following are not covered on that page:

"-"
" " (gnus-unread-mark)
"=" (gnus-unsendable-mark)
"%" (gnus-downloadable-mark")
"!" (gnus-ticked-mark)
"$" (gnus-spam-mark)
"?" (gnus-dormant-mark)
"E" (gnus-expirable-mark)
"A" (gnus-replied-mark) All articles that you have replied to or made a followup to
"*" Article is "[[info:gnus#Persistent%20Articles][persistent]]"

-- 
Dave Abrahams
BoostPro Computing
http://www.boostpro.com